io.swagger.client.model

## Class LedgerList

- java.lang.Object
- - io.swagger.client.model.LedgerList

-     public class LedgerList
      extends Object

  LedgerList

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LedgerList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LedgerList` | `addLedgersItem(Ledger ledgersItem)`
    `boolean` | `equals(Object o)`
    `List<Ledger>` | `getLedgers()` Get ledgers
    `String` | `getNextLink()` Get nextLink
    `int` | `hashCode()`
    `LedgerList` | `ledgers(List<Ledger> ledgers)`
    `LedgerList` | `nextLink(String nextLink)`
    `void` | `setLedgers(List<Ledger> ledgers)`
    `void` | `setNextLink(String nextLink)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LedgerList

          public LedgerList()

  - ### Method Detail

    - #### nextLink

          public LedgerList nextLink(String nextLink)

    - #### getNextLink

          public String getNextLink()

      Get nextLink
      Returns:
        nextLink

    - #### setNextLink

          public void setNextLink(String nextLink)

    - #### ledgers

          public LedgerList ledgers(List<Ledger> ledgers)

    - #### addLedgersItem

          public LedgerList addLedgersItem(Ledger ledgersItem)

    - #### getLedgers

          public List<Ledger> getLedgers()

      Get ledgers
      Returns:
        ledgers

    - #### setLedgers

          public void setLedgers(List<Ledger> ledgers)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.